ConcurrentHashSet (Mule ESB 2.2.1 API)
Keywords: org.mule.util.concurrent.ConcurrentHashSet class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.util.concurrent
Class ConcurrentHashSet

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractSet
              org.mule.util.concurrent.ConcurrentHashSet

All Implemented Interfaces:
  Serializable, Iterable, Collection, Set

    public class ConcurrentHashSet

extends AbstractSet
implements Set, Serializable

See Also:
  Serialized Form

Constructor Summary
`ConcurrentHashSet()`
`ConcurrentHashSet(int initialCapacity)`
`ConcurrentHashSet(int initialCapacity, float loadFactor, int concurrencyLevel)`

Method Summary
`boolean` | `add(Object e)`
`void` | `clear()`
`boolean` | `contains(Object o)`
`boolean` | `equals(Object o)`
`int` | `hashCode()`
`boolean` | `isEmpty()`
`Iterator` | `iterator()`
`boolean` | `remove(Object o)`
`boolean` | `removeAll(Collection c)`
`boolean` | `retainAll(Collection c)`
`int` | `size()`
`Object[]` | `toArray()`
`Object[]` | `toArray(Object[] a)`

Methods inherited from class java.util.AbstractCollection
`addAll, containsAll, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`addAll, containsAll`

Constructor Detail

### ConcurrentHashSet

    public ConcurrentHashSet()

### ConcurrentHashSet

    public ConcurrentHashSet(int initialCapacity)

### ConcurrentHashSet

    public ConcurrentHashSet(int initialCapacity,
                             float loadFactor,
                             int concurrencyLevel)

Method Detail

### size

    public int size()

  Specified by:
    `size` in interface `Collection`
  Specified by:
    `size` in interface `Set`
  Specified by:
    `size` in class `AbstractCollection`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Collection`
  Specified by:
    `isEmpty` in interface `Set`
  Overrides:
    `isEmpty` in class `AbstractCollection`

### contains

    public boolean contains(Object o)

  Specified by:
    `contains` in interface `Collection`
  Specified by:
    `contains` in interface `Set`
  Overrides:
    `contains` in class `AbstractCollection`

### iterator

    public Iterator iterator()

  Specified by:
    `iterator` in interface `Iterable`
  Specified by:
    `iterator` in interface `Collection`
  Specified by:
    `iterator` in interface `Set`
  Specified by:
    `iterator` in class `AbstractCollection`

### toArray

    public Object[] toArray()

  Specified by:
    `toArray` in interface `Collection`
  Specified by:
    `toArray` in interface `Set`
  Overrides:
    `toArray` in class `AbstractCollection`

### toArray

    public Object[] toArray(Object[] a)

  Specified by:
    `toArray` in interface `Collection`
  Specified by:
    `toArray` in interface `Set`
  Overrides:
    `toArray` in class `AbstractCollection`

### add

    public boolean add(Object e)

  Specified by:
    `add` in interface `Collection`
  Specified by:
    `add` in interface `Set`
  Overrides:
    `add` in class `AbstractCollection`

### remove

    public boolean remove(Object o)

  Specified by:
    `remove` in interface `Collection`
  Specified by:
    `remove` in interface `Set`
  Overrides:
    `remove` in class `AbstractCollection`

### removeAll

    public boolean removeAll(Collection c)

  Specified by:
    `removeAll` in interface `Collection`
  Specified by:
    `removeAll` in interface `Set`
  Overrides:
    `removeAll` in class `AbstractSet`

### retainAll

    public boolean retainAll(Collection c)

  Specified by:
    `retainAll` in interface `Collection`
  Specified by:
    `retainAll` in interface `Set`
  Overrides:
    `retainAll` in class `AbstractCollection`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Collection`
  Specified by:
    `clear` in interface `Set`
  Overrides:
    `clear` in class `AbstractCollection`

### equals

    public boolean equals(Object o)

  Specified by:
    `equals` in interface `Collection`
  Specified by:
    `equals` in interface `Set`
  Overrides:
    `equals` in class `AbstractSet`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Collection`
  Specified by:
    `hashCode` in interface `Set`
  Overrides:
    `hashCode` in class `AbstractSet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.